import request from '@/assets/js/utils/request'
/*
* 供应商变更API接口
* */

//  提交变更基本信息
export function submitDepartChangeInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/submitDepartChangeInfo',
    method: 'post',
    data
  })
}

//  提交变更业务经办人
export function submitDepartLinkerChangeInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/submitDepartLinkerChangeInfo',
    method: 'post',
    data
  })
}

//  提交变更财务状态，供货记录，和资质证书
export function changeSupplierInfoSubmit(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/changeSupplierInfoSubmit',
    method: 'post',
    data
  })
}

// 查看变更内容弹框——基本信息
export function listSupplierChangeRecordPages(data) {
  return request({
    url: '/bidprocurement/common-user/user/supplierChangeRecord/listSupplierChangeRecordPages',
    method: 'post',
    data
  })
}

// 查看变更内容弹框——业务经办人信息
export function changeRecordlistDepartLinker(data) {
  return request({
    url: '/bidprocurement/common-user/user/CommonUserDepartLinkerController/changeRecordlistDepartLinker',
    method: 'post',
    data
  })
}

// 查看变更内容弹框——企业资质
export function changeRecordlistCertificatePages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/certificate/changeRecordlistCertificatePages',
    method: 'post',
    data
  })
}

// 查看变更内容弹框——财务状况
export function changeRecordlistFinancialSituationPages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/financialSituation/changeRecordlistFinancialSituationPages',
    method: 'post',
    data
  })
}

// 查看变更内容弹框——供货记录
export function changeRecordlistSupplyRecordPages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/supplyRecord/changeRecordlistSupplyRecordPages',
    method: 'post',
    data
  })
}

// 变更企业证书列表
export function listChangeableCertificatePages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/certificate/listChangeableCertificatePages',
    method: 'post',
    data
  })
}

// 变更修改供货记录列表
export function listChangeableSupplyRecordPages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/supplyRecord/listChangeableSupplyRecordPages',
    method: 'post',
    data
  })
}

// 变更修改财务状况列表
export function listChangeableFinancialSituationPages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/financialSituation/listChangeableFinancialSituationPages',
    method: 'post',
    data
  })
}

// 刪除暂存信息
export function deleteTempSupplierInfo(departId) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/deleteTempSupplierInfo?departId=' + departId,
    method: 'post'
  })
}

// 变更审核
export function changeSupplierInfoAudit(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/changeSupplierInfoAudit',
    method: 'post',
    data
  })
}
